Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.tpm.management.configuration
Class ManagementException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.wli.tpm.management.configuration.ManagementException

All Implemented Interfaces:
  Serializable

public class ManagementException
extends Exception

A ManagementException is thrown if an error occurred in a WebLogic Collaborate management application.

See Also:
  Serialized Form

Constructor Summary
`ManagementException()` Constructs a ManagementException.
`ManagementException(Exception e)` Constructs a ManagementException with a nested exception
`ManagementException(String msg)` Constructs a ManagementException with the specified message text.

Method Summary
`Throwable` | `getNestedException()` Deprecated.
`void` | `setNestedException(Throwable nested)` Deprecated.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ManagementException

    public ManagementException(String msg)

  Constructs a ManagementException with the specified message text.

Parameters:
  `msg` - Message text.

### ManagementException

    public ManagementException()

  Constructs a ManagementException.

### ManagementException

    public ManagementException(Exception e)

  Constructs a ManagementException with a nested exception

Method Detail

### setNestedException

    public final void setNestedException(Throwable nested)

  Deprecated.

  Set nested exception. This method should not be called if B2BException is created using constructor that takes Throwable

### getNestedException

    public final Throwable getNestedException()

  Deprecated.

  Get nested exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD